#!/bin/sh

UBOOT_FILES="MLO u-boot.img ubldr.bin"
UBOOT_PATH=/usr/local/share/u-boot/ufw
UBOOT_PART=/boot/msdos

MNTCHECK=$(mount | grep ${UBOOT_PART})
if [ -z "${MNTCHECK}" ]; then
	mount ${UBOOT_PART} >/dev/null 2>&1
fi

echo "=> Updating the SG-1000 U-boot"
for file in ${UBOOT_FILES}; do
	if [ -f "${UBOOT_PATH}/${file}" ]; then
		cp -f ${UBOOT_PATH}/${file} ${UBOOT_PART} 2> /dev/null
	else
		echo "WARNING: ${file} is missing.  U-boot will not work properly."
	fi
done
